Loading...
Searching...
No Matches
BALL::PoseClustering::ClusterTreeWriter_ Class Reference

`#include <BALL/DOCKING/COMMON/poseClustering.h>`

## Public Member Functions

| ClusterTreeWriter_ (ClusterTree const *cluster_tree)
void | operator() (std::ostream &out, const ClusterTreeNode &v) const

## Protected Attributes

ClusterTree const * | cluster_tree_

## Detailed Description

A nested class used for exporting cluster trees to graphviz format

Definition at line 563 of file poseClustering.h.

## Constructor & Destructor Documentation

## ClusterTreeWriter_()

BALL::PoseClustering::ClusterTreeWriter_::ClusterTreeWriter_ | ( | ClusterTree const * | cluster_tree | ) |

inline

Definition at line 566 of file poseClustering.h.

## Member Function Documentation

## operator()()

void BALL::PoseClustering::ClusterTreeWriter_::operator() | ( | std::ostream & | out,
|  | const ClusterTreeNode & | v ) const

## Member Data Documentation

## cluster_tree_

ClusterTree const* BALL::PoseClustering::ClusterTreeWriter_::cluster_tree_

protected

Definition at line 573 of file poseClustering.h.